cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class CRM_C08

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.CRM_C01_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.CRM_C08

-     public final class CRM_C08
      extends CRM_C01_Common

  CRM_C08 - Clinical Study Registration Message (Event C08). This message is use to sent the data entered in a clinical trials or other patient data system to other facility system such as order entry, pharmacy, accounting, and nursing systems.

  Represents a CRM_C01 message structure (see chapter 7.7.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PATIENT (a Group of segments in CRM_C01 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  CRM_C08 objC08 = (CRM_C08)MessageFactory.createInstance().createSendSupportedMessage("CRM", "C08");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.CRM_C01_Common

      `addPatientGroup, addPatientGroups, addSoftwareSegment, addSoftwareSegment, getPatientGroups, getSoftwareSegments, getUserAuthenticationCredentialSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`